__gnu_parallel::__accumulate_binop_reduct< _BinOp >(3cxx)

NAME
__gnu_parallel::__accumulate_binop_reduct< _BinOp > - General reduction, using a binary operator.

SYNOPSIS

  Public Member Functions

__accumulate_binop_reduct (_BinOp &__b)
template<typename _Result , typename _Addend > _Result operator() (const _Result &__x, const _Addend &__y)

  Public Attributes

_BinOp & __binop

Detailed Description

  template<typename _BinOp>
struct __gnu_parallel::__accumulate_binop_reduct< _BinOp >" General reduction, using a binary operator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.